# ClientDriver Class Reference

Base Driver with client specific functions. More...

`#include <yatecbase.h>`

Inheritance diagram for ClientDriver:

List of all members.

## Public Member Functions

virtual void | initialize ()=0
virtual bool | factory (UIFactory *factory, const char *type)
virtual bool | msgExecute (Message &msg, String &dest)
virtual void | msgTimer (Message &msg)
virtual bool | msgRoute (Message &msg)
ClientChannel * | findLine (int line)

## Static Public Member Functions

static ClientDriver * | self ()
static const String & | device ()

## Protected Member Functions

void | setup ()

## Static Protected Attributes

static ClientDriver * | s_driver
static String | s_device

## Detailed Description

Base Driver with client specific functions.

Abstract client Driver that implements some of the specific functionality

## Member Function Documentation

virtual void initialize | ( |  | ) | `[pure virtual]`

This method is called to initialize the loaded module

Reimplemented from Driver.

virtual bool msgExecute | ( | Message & | msg,
|  | String & | dest |
| ) |  |  | `[virtual]`

Create an outgoing calling channel

Parameters:

  | msg | Call execute message
  | dest | Destination of the new call

Returns:
  True if outgoing call was created

Implements Driver.

virtual void msgTimer | ( | Message & | msg | ) | `[virtual]`

Timer message handler.

Parameters:

  | msg | Time message

Reimplemented from Module.

virtual bool msgRoute | ( | Message & | msg | ) | `[virtual]`

Routing message handler that is invoked for all call.route messages.

Parameters:

  | msg | Call routing message

Returns:
  True to stop processing the message, false to try other handlers

Reimplemented from Module.

void setup | ( |  | ) | `[protected]`

Install standard message relays

Reimplemented from Module.

The documentation for this class was generated from the following file:

- yatecbase.h